# Overview

This Charm deploys Gnocchi (https://docs.openstack.org/developer/gnocchi/)

Gnocchi is a multi-tenant timeseries, metrics and resources database. It provides an HTTP REST interface to create and manipulate the data. It is designed to store metrics at a very large scale while providing access to metrics and resources information and history.

You can read the [full online documentation](http://gnocchi.xyz).

# Installation

```
juju deploy cs:~csdcharmers/gnocchi
juju deploy cs:/postgresql

juju add-relation gnocchi postgresql:db
```

# Usage

You can check the API available at:
```
http://127.0.0.1:8041/
```
**DANGER! For testing only, do not use in production.**

# Contact Information

## Authors

This software was created at the [Consortium GARR](https://www.garr.it).

 - Giuseppe Attardi <giuseppe.attardi@garr.it>

